#include "GMLuaModule.h"

#include <convar.h>

GMOD_MODULE(Open, Close);

ILuaInterface *gLua = NULL;

LUA_FUNCTION(ForceConVar)
{
	gLua->CheckType(1, GLua::TYPE_CONVAR);
	gLua->CheckType(2, GLua::TYPE_STRING);

	ConVar *uconv = (ConVar*)gLua->GetUserData(1);
	
	uconv->SetValue(gLua->GetString(2));

	return 0;
}

int Open(lua_State *L)
{
	gLua = Lua();

	gLua->SetGlobal("ForceConVar", ForceConVar);

	return 0;
}

int Close(lua_State *L)
{
	return 0;
}